# List of POM files for the package
# Format of this file is:
# <path to pom file> [option]*
# where option can be:
#   --ignore: ignore this POM and its artifact if any
#   --ignore-pom: don't install the POM. To use on POM files that are created
#     temporarily for certain artifacts such as Javadoc jars. [mh_install, mh_installpoms]
#   --no-parent: remove the <parent> tag from the POM
#   --package=<package>: an alternative package to use when installing this POM
#      and its artifact
#   --has-package-version: to indicate that the original version of the POM is the same as the upstream part
#      of the version for the package.
#   --keep-elements=<elem1,elem2>: a list of XML elements to keep in the POM
#      during a clean operation with mh_cleanpom or mh_installpom
#   --artifact=<path>: path to the build artifact associated with this POM,
#      it will be installed when using the command mh_install. [mh_install]
#   --java-lib: install the jar into /usr/share/java to comply with Debian
#      packaging guidelines
#   --usj-name=<name>: name to use when installing the library in /usr/share/java
#   --usj-version=<version>: version to use when installing the library in /usr/share/java
#   --no-usj-versionless: don't install the versionless link in /usr/share/java
#   --dest-jar=<path>: the destination for the real jar.
#     It will be installed with mh_install. [mh_install]
#   --classifier=<classifier>: Optional, the classifier for the jar. Empty by default.
#   --site-xml=<location>: Optional, the location for site.xml if it needs to be installed.
#     Empty by default. [mh_install]
#
pom.xml --no-parent --has-package-version
i18n/pom.xml --no-parent --has-package-version --package=libapacheds-i18n-java
all/pom.xml --has-package-version --java-lib
apache-felix/pom.xml --has-package-version --java-lib
benchmarks/pom.xml --ignore
bulkloader/pom.xml --has-package-version --java-lib
component-hub/pom.xml --has-package-version --java-lib
jdbm-partition/pom.xml --has-package-version --java-lib
mavibot-partition/pom.xml --has-package-version --java-lib
mavibotv2-partition/pom.xml --has-package-version --java-lib
xdbm-partition/pom.xml --has-package-version --java-lib
core-shared/pom.xml --has-package-version --java-lib
core-api/pom.xml --has-package-version --java-lib
interceptors/pom.xml --has-package-version
interceptors/normalization/pom.xml --has-package-version --java-lib
interceptors/event/pom.xml --has-package-version --java-lib
interceptors/subtree/pom.xml --has-package-version --java-lib
interceptors/authz/pom.xml --has-package-version --java-lib
interceptors/admin/pom.xml --has-package-version --java-lib
interceptors/authn/pom.xml --has-package-version --java-lib
interceptors/changelog/pom.xml --has-package-version --java-lib
interceptors/journal/pom.xml --has-package-version --java-lib
interceptors/number/pom.xml --has-package-version --java-lib
interceptors/referral/pom.xml --has-package-version --java-lib
interceptors/operational/pom.xml --has-package-version --java-lib
interceptors/collective/pom.xml --has-package-version --java-lib
interceptors/logger/pom.xml --has-package-version --java-lib
interceptors/exception/pom.xml --has-package-version --java-lib
interceptors/hash/pom.xml --has-package-version --java-lib
interceptors/schema/pom.xml --has-package-version --java-lib
interceptors/trigger/pom.xml --has-package-version --java-lib
core/pom.xml --has-package-version --java-lib
core-annotations/pom.xml
server-annotations/pom.xml --has-package-version --java-lib
core-jndi/pom.xml --has-package-version --java-lib
core-constants/pom.xml --has-package-version --java-lib
core-integ/pom.xml --ignore
core-avl/pom.xml --has-package-version --java-lib
ldif-partition/pom.xml --has-package-version --java-lib
lmdb-partation/pom.xml --has-package-version --java-lib
mmr-tests/pom.xml --ignore
non-osgi-dependencies/pom.xml --has-package-version --java-lib
osgi-integ/pom.xml --ignore
osgi/pom.xml --has-package-version --java-lib
protocol-changepw/pom.xml --has-package-version --java-lib
protocol-shared/pom.xml --has-package-version --java-lib
kerberos-codec/pom.xml --has-package-version --package=libapacheds-kerberos-codec-java --java-lib
protocol-ntp/pom.xml --has-package-version --java-lib
protocol-ldap/pom.xml --has-package-version --java-lib
protocol-kerberos/pom.xml --has-package-version --java-lib
protocol-dhcp/pom.xml --has-package-version --java-lib
protocol-dns/pom.xml --has-package-version --java-lib
server-integ/pom.xml --ignore
server-config/pom.xml --has-package-version --java-lib
service-builder/pom.xml --has-package-version --java-lib
server-jndi/pom.xml --has-package-version --java-lib
syncrepl/pom.xml --has-package-version --java-lib
interceptor-kerberos/pom.xml --has-package-version --java-lib
kerberos-test/pom.xml --ignore
http-directory-bridge/pom.xml --has-package-version --java-lib
http-integration/pom.xml --has-package-version --java-lib
test-framework/pom.xml --ignore
ldap-client-test/pom.xml --ignore
kerberos-client/pom.xml --has-package-version --java-lib
service/pom.xml --has-package-version --package=apacheds --java-lib
service-osgi/pom.xml --has-package-version --java-lib
wrapper/pom.xml --ignore
installers-maven-plugin/pom.xml --ignore
installers/pom.xml --ignore
